> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List extension schemas

`GET https://api.pagerduty.com/extension_schemas`

List all extension schemas.

A PagerDuty extension vendor represents a specific type of outbound extension such as Generic Webhook, Slack, ServiceNow.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#extension-schemas)

Scoped OAuth requires: `extension_schemas.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of extension schemas.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `extension_schemas` | array of object | yes |  |
| `extension_schemas[].icon_url` | string (url) |  | A small logo, 18-by-18 pixels. Read-only. |
| `extension_schemas[].logo_url` | string (url) |  | A large logo, 75 pixels high and no more than 300 pixels wide. Read-only. |
| `extension_schemas[].label` | string |  | Human friendly display label. Read-only. |
| `extension_schemas[].key` | string |  | Machine friendly display label. Read-only. |
| `extension_schemas[].description` | string |  | The long description for the Extension. |
| `extension_schemas[].guide_url` | string (url) |  | A link to the extension's support guide. Read-only. |
| `extension_schemas[].send_types` | array of string |  | The types of PagerDuty incident events that will activate this Extension. Items must be unique. |
| `extension_schemas[].url` | string |  | The url that the webhook payload will be sent to for this Extension. Read-only. |

Example: Response Example

```json
{
  "extension_schemas": [
    {
      "id": "PJFWPEP",
      "type": "extension_schema",
      "summary": "Generic Webhook",
      "self": "https://api.pagerduty.com/extension_schemas/PJFWPEP",
      "description": "Long description here",
      "guide_url": "https://developer.pagerduty.com",
      "icon_url": "https://extension.com/extension.png",
      "key": "generic_webhook",
      "label": "Generic Webhook",
      "logo_url": "https://extension.com/logo.png",
      "send_types": [
        "trigger",
        "acknowledge",
        "resolve",
        "delegate",
        "escalate",
        "unacknowledge",
        "assign"
      ],
      "url": ""
    }
  ],
  "limit": 25,
  "offset": 0,
  "more": false,
  "total": null
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
